[fpc-pascal] Error: Duplicate identifier "FarPointer"

silvioprog silvioprog at gmail.com
Sun May 19 03:01:01 CEST 2013


2013/5/17 Mattias Gaertner <nc-gaertnma at netcologne.de>

> On Thu, 16 May 2013 15:04:58 +0200
> Jonas Maebe <jonas.maebe at elis.ugent.be> wrote:
>
> >
> > On 16 May 2013, at 14:46, Reimar Grabowski wrote:
> >
> > > Same problem here but much funnier FPC message:
> > >
> > > Makefile:2704: *** The only supported starting compiler version is
> > > 2.7.1. You are trying to build with 2.6.2. If you are absolutely sure
> > > that the current compiler is built from the exact same
> > > version/revision, you can try to use OVERRIDEVERSIONCHECK=1 to
> > > override .  Stop.
> > >
> > > So I had to use OVERRIDEVERSIONCHECK=1 to build my 2.7.1 with 2.6.2.
> > > IMHO that's not as intended.
> > > But it may be a problem of the create_fpc_deb script provided by
> > > Lazarus so from my side there is no need for any actions.
> > > Just wanted to share that funny message.
> >
> > It is indeed a bug in Lazarus' build scripts (also for the rpms).
>
> For the rpm scripts it was fixed some months ago.
> I fixed it now for the deb scripts too.
>
> > For some reason they first replace a bunch of version numbers in the
> > Makefile.
>
> In the past the version numbers in the Makefiles were not always
> updated.
>
> Mattias
>

Thank you very much!

-- 
Silvio Cl├ęcio
My public projects - github.com/silvioprog
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.freepascal.org/pipermail/fpc-pascal/attachments/20130518/8249791e/attachment.html>


More information about the fpc-pascal mailing list